Auto Multiple Choice - Feature # 714: Nom de fichier pdf avec nom éleve

Status: Closed Priority: Normal
Author: Francois-Marie BILLARD Category:

Created: 03/18/2020 Assignee:

Updated: 12/21/2020 Due date:

Description: Bonjour a tous,

est il possible de générer les fichiers pdf avec le nom de I'éléve issu de la liste.csv au lieu d'un numéro ?

Merci
History
03/18/2020 01:33 pm - Frédéric Bréal
Bonjour,

Il faut utiliser le mode pré-rempli.

Il'y a les explications dans la documentation et vous pouvez utiliser un modéle quand vous créez un nouveau sujet;

03/18/2020 03:43 pm - Francois-Marie BILLARD
Bonjour

je n'ai pas été clair, en fait j'ai bien le nom des éléves sur les copies, mais aprés impression je me retrouve dans le répertoire copies_imprimées avec :
sheet-001.pdf, sheet-002.pdf etc

et je voudrais

nom1.pdf, nom2.pdf

merci

03/18/2020 05:40 pm - Francois-Marie BILLARD

- File changeNomACM.sh added

*ATTENTION SOUS LINUX*

Sinon voici un script qui nécessite de mettre mettre dans le dossier projet :

# un répertoire copies_imprimées

# Une copie de ce script

aprés impression des copies dans copies_imrpimées
lancer manuellement le script et les copies auront seront composées SUJET_ _Nom_ _ prenom_ .pdf

03/18/2020 06:21 pm - Frédéric Bréal

D'accord, je n'avais pas compris.

Je vous renvoie vers https://project.auto-multiple-choice.net/boards/4/topics/9294 qui peut vous intéresser pour compléter votre script.
Votre question correspond un peu & ma demande https://project.auto-multiple-choice.net/issues/713

03/20/2020 09:48 am - Francois-Marie BILLARD
Oui en effet cette option serait trés pratique.
Merci a vous

03/24/2020 11:49 am - Alexis Bienveniie
- Tracker changed from Bug to Feature

12/21/2020 10:54 am - Alexis Bienveniie

- Status changed from New to Closed

- % Done changed from 0 to 100

Lors de I'utilisation de copies pré-remplies, il est maintenant possible de spécifier un nom de fichier avec une commande du genre
<pre>

\AMCassociation[\nom-\prenom]{\id}

</pre>

Files

changeNomACM.sh 472 Bytes 03/18/2020 Frangois-Marie BILLARD
